Eclipse GEF 3.2

## org.eclipse.gef.ui.palette
Class PinDrawerAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.gef.ui.palette.PinDrawerAction

All Implemented Interfaces:
  IAction

public class PinDrawerAction
extends Action

An action that can be used to pin the given drawer open.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`PinDrawerAction(org.eclipse.gef.internal.ui.palette.editparts.DrawerEditPart drawer)` Constructor

Method Summary
`void` `run()` Toggles the pinned open status of the drawer.

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### PinDrawerAction

    public PinDrawerAction(org.eclipse.gef.internal.ui.palette.editparts.DrawerEditPart drawer)

  Constructor

Parameters:
  `drawer` - The EditPart for the drawer that this action pins/unpins

Method Detail

### run

    public void run()

  Toggles the pinned open status of the drawer.

  See Also:
    `Action.run()`

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.